﻿using Infragistics.Windows.DataPresenter;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XDGHoverSyncCase
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new ViewModel();                        
        }

        void DRP_MouseLeave(object sender, MouseEventArgs e)
        {
            DataRecordPresenter DRP = sender as DataRecordPresenter;

            DataRecord DR = DRP.DataRecord;

            int i = DR.Index;

            if (i != -1)
            {
                if (DRP.DataPresenter == XDG1)
                {
                    DataRecord hoverDR = XDG2.Records[i] as DataRecord;

                    ((SampleData)DR.DataItem).Hovered = false;

                    SampleData SD = hoverDR.DataItem as SampleData;
                    SD.Hovered = false;

                }
                else
                {
                    DataRecord hoverDR = XDG1.Records[i] as DataRecord;

                    SampleData SD = hoverDR.DataItem as SampleData;
                    SD.Hovered = false;
                }
            }
        }

        void DRP_MouseEnter(object sender, MouseEventArgs e)
        {
            DataRecordPresenter DRP = sender as DataRecordPresenter;

            DataRecord DR = DRP.DataRecord;            

            int i = DR.Index;

            if (i != -1)
            {
                if (DRP.DataPresenter == XDG1)
                {
                    DataRecord hoverDR = XDG2.Records[i] as DataRecord;

                    ((SampleData)DR.DataItem).Hovered = true;

                    if (hoverDR != null)
                    {
                        SampleData SD = hoverDR.DataItem as SampleData;
                        SD.Hovered = true;
                    }

                }
                else
                {
                    DataRecord hoverDR = XDG1.Records[i] as DataRecord;

                    if (hoverDR != null)
                    {
                        SampleData SD = hoverDR.DataItem as SampleData;
                        SD.Hovered = true;
                    }
                }
            }
        }
    }
}
